/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/


#ifndef ___NETUTILS_H___
#define ___NETUTILS_H___

#include	"machine/netutils.h"
#include	"resolve.h"

void init_netutils();

void
get_localhostname(char *);
int get_localhostip();
char * get_localdomainname();
int hostcmp(char *,HOST_ADDR,char *,HOST_ADDR);

struct hostent * gethostent_rr();
int sethostent_rr(int);
int endhostent_rr();

#endif
